Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230102 - oocalc2-2.0.4-5.6.0.* displays warning messages when entering values to the oocalc2 cells by encoding lt_LT
Summary: oocalc2-2.0.4-5.6.0.* displays warning messages when entering values to the o...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org
Version: 4.4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 17:41 UTC by Jan Lieskovsky
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-27 08:42:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Lieskovsky 2007-02-26 17:41:11 UTC
Description of problem:
After setting the locale to one of the following "lt_LT", "lt_LT.iso885913",
"lt_LT.utf8", nn_NO","nn_NO.iso88591","nn_NO.utf8","pa_IN","pa_IN.utf8",
"pt_PT", "pt_PT@euro","pt_PT.iso88591","pt_PT.utf8","sk_SK","sk_SK.iso88592",
"sk_SK.utf8" and starting "/usr/bin/oocalc2" and entering some value 
in some "oocalc2" cell, in standard output there can be seen warning message
like this:

warning - incompatible stripping characters and condition:
SFX D ar rar . . .

This message also appears after following running of these binaries
from the ooffice.org2 suite: ooviewdoc2, openoffice.org-2.0, oodraw2,
  ooimpress2

Version-Release number of selected component (if applicable):
openoffice.org2-base-2.0.4-5.6.0.*.rpm

How reproducible:
Always

Steps to Reproduce:
1.  export LANG=$i where i is one of the encodings mentioned above (f.example:
  "lt_LT")
2.  run oocalc2 
3.  enter some values to some cell in the oocalc2
  
Actual results:
After entering value do each cell you will see warnings like above.

Expected results:
No warnings are displayed. 

Additional info:
This issue is related with testing packages listed in RHEA-2007:9031 advisory.

Comment 1 Caolan McNamara 2007-02-26 19:23:59 UTC
sounds unusual, does e.g. gedit suffer from the same behaviour if started in the
same way ?

Comment 2 Caolan McNamara 2007-02-26 20:07:33 UTC
Ah, it's the spellchecker warning about a possible problem in the dictionaries
for those languages.

Comment 3 Caolan McNamara 2007-02-27 08:32:26 UTC
That's ok, spellchecker works in those locales. It's a bit unsightly, but that
ugliness is resolved with the change to a standalone hunspell and updated and
independent hunspell dictionaries in the current devel. Don't think we need to
fix this for now.

Comment 4 RHEL Product and Program Management 2007-02-27 08:42:47 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.